Package org.apache.wiki.ui

## Interface GenericHTTPHandler

All Known Subinterfaces:
  `AdminBean`

All Known Implementing Classes:
  `CoreBean`, `FilterBean`, `ModuleBean`, `PlainEditorAdminBean`, `PluginBean`, `SearchManagerBean`, `SimpleAdminBean`, `UserBean`, `WikiFormAdminBean`

    public interface GenericHTTPHandler

Provides a generic HTTP handler interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `doGet​(Context context)` Return basic HTML.
`java.lang.String` `doPost​(Context context)` Handles a POST response.
`java.lang.String` `getId()` Get an identifier for this particular AdminBean.

### Method Detail

#### getId

    java.lang.String getId()

Get an identifier for this particular AdminBean. This id MUST conform to URI rules. The ID must also be unique across all HTTPHandlers.

Returns:
  the identifier for the bean

#### doGet

    java.lang.String doGet​(Context context)

Return basic HTML.

Parameters:
  `context` - associated WikiContext
Returns:
  the HTML for the bean

#### doPost

    java.lang.String doPost​(Context context)

Handles a POST response.

Parameters:
  `context` - associated WikiContext
Returns:
  the response string resulting from the POST